Package org.opensaml.xmlsec.signature.impl

# Class X509CRLImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xmlsec.signature.impl.X509CRLImpl

All Implemented Interfaces:
  `XSBase64Binary`, `XMLObject`, `X509CRL`

public class X509CRLImpl extends AbstractXMLObject implements X509CRL
Concrete implementation of `X509CRL`.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`(package private) static class`
`X509CRLImpl.CleanerState`
The action to be taken when the current state must be cleaned.

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final IndexingObjectStore<String>`
`B64_CRL_STORE`
Class-level index of Base64 encoded CRL values.
`private String`
`b64CRLIndex`
Index to a stored Base64 encoded CRL.
`private Cleaner.Cleanable`
`cleanable`
The `Cleaner.Cleanable` representing the current instance's CRL value, as represented by the current `b64CRLIndex` field value.
`private static final Cleaner`
`CLEANER`
The `Cleaner` instance to use.

### Fields inherited from interface org.opensaml.xmlsec.signature.X509CRL

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME`

### Fields inherited from interface org.opensaml.core.xml.schema.XSBase64Binary

`TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`X509CRLImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`String`
`getValue()`
Gets the base64-encoded binary value.
`void`
`setValue(String newValue)`
Sets the base64-encoded binary value.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### B64_CRL_STORE

@Nonnull private static final IndexingObjectStore<String> B64_CRL_STORE
Class-level index of Base64 encoded CRL values.

### CLEANER

@Nonnull private static final Cleaner CLEANER
The `Cleaner` instance to use.

### cleanable

@Nullable private Cleaner.Cleanable cleanable
The `Cleaner.Cleanable` representing the current instance's CRL value, as represented by the current `b64CRLIndex` field value.

### b64CRLIndex

@Nullable private String b64CRLIndex
Index to a stored Base64 encoded CRL.

## Constructor Details

### X509CRLImpl

protected X509CRLImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getValue

@Nullable public String getValue()
Gets the base64-encoded binary value.

Specified by:
  `getValue` in interface `XSBase64Binary`
Returns:
  the string, or null

### setValue

public void setValue(@Nullable String newValue)
Sets the base64-encoded binary value.

Specified by:
  `setValue` in interface `XSBase64Binary`
Parameters:
  `newValue` - the string value

### getOrderedChildren

@Nullable @Unmodifiable @NotLive public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements